Bug 60153 - Automatic backups of /var/lib/rpm
Automatic backups of /var/lib/rpm
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 18:58 EST by Sam Varshavchik
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-20 18:58:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-02-20 18:58:29 EST
A corrupted /var/lib/rpm, beyond all repair (see bug 60152), prompted me to
think about ways to recover from otherwise irrecoverable database damage.

Suggestion: Any package install/removal creates a dummy flag file; a cron.daily
job checks if the dummy flag file exists; if it exists the job copies
/var/lib/rpm to /var/lib/rpm.[12345] (a rotating backup set) while maintaining a
read-only lock on the database.

Then, if the database ends up corrupted beyond repair it should still be
possible to recover a clean database going back for at least five days.
Comment 1 Jeff Johnson 2002-02-24 11:15:39 EST
There's nothing stopping you from doing backups of
critical files anytime you wish, rpm is not the
problem here.

Note You need to log in before you can comment on or make changes to this bug.